using System;
using System.Drawing;
using System.Windows.Forms;

class App{
   public static void Main(){
      Application.Run(new TribbleForm());      
   }
}

class TribbleForm:Form{   
   TextBox generationsTextBox;   
   ListBox fibList;

   public TribbleForm() {      
      generationsTextBox = new TextBox();
      generationsTextBox.Location = new Point(16, 16);            

      Button tribbleButton = new Button();
      tribbleButton.Location = new Point(16, 48);      
      tribbleButton.Size = new Size(100, 20);      
      tribbleButton.Text = "Tribble Count";
      tribbleButton.Click += new EventHandler(OnClick);
      AcceptButton = tribbleButton;

      fibList = new ListBox();   
      fibList.Location = new Point(16, 88);      
      fibList.Size = new Size(192, 134);      
      fibList.Anchor = AnchorStyles.Top|AnchorStyles.Bottom
         |AnchorStyles.Left|AnchorStyles.Right;
 
      ClientSize = new Size(226, 235);
      Controls.AddRange(new Control[]{ generationsTextBox,
         tribbleButton, fibList});      
      Text = "Tribble Calculator"; 
   }
   
   void OnClick(Object sender, EventArgs e){
      try{
         Int32 iterations = Convert.ToInt32(generationsTextBox.Text);
         if(iterations > 138) 
            throw new Exception();

         fibList.Items.Clear();
         Decimal lastNum = 1;
         Decimal secondToLastNum = 0;
         while(iterations-- > 0){
            Decimal newNum = lastNum+secondToLastNum;
            fibList.Items.Add(newNum);
            secondToLastNum = lastNum;
            lastNum = newNum;
         } 
         fibList.SelectedIndex = fibList.Items.Count-1;
      }catch{      
         MessageBox.Show("Enter a number from 1-138");        
      }           
   }
}